Page MenuHome

Blenderkit: asset bar doesnt open
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 10
Graphics card: AMD FirePro M4000

This is a work laptop

Blender Version
Broken: 2.80
Worked: never, installed for first time 9/16

Short description of error
Asset bar doesn't open search results are 0

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).

  • select blenderkit from tab on the right
  • select a category (any category they all act the same)
  • search runs (animals (2) so I should get at lest two things to show)
  • returns zero results, asset bar doesn't even open and attached image is what shows up on the right

Related Objects

Event Timeline

Demeter Dzadik (Mets) lowered the priority of this task from 90 to 30.EditedOct 29 2019, 9:24 PM

Could you clarify what addon this relates to?

Edit: I see, Blenderkit Asset Library. But I think you forgot to attach the screenshot you mentioned?

Demeter Dzadik (Mets) raised the priority of this task from 30 to 90.EditedOct 30 2019, 2:38 PM

Trying to search for addon authors names on phabricator, CC @Vilem Duha (pildanovak) Can you take a look at this?

not sure why it didn't attach before. it seems the error cuts off at the end as it just says "(caused by" if there's a way to pull the whole error message let me know.
Even though this addon comes with blender when you install it may be this is something that I need to talk to the Blenderkit guys over? When I clicked "report a bug" in the preferences it sent me here.

Philipp Oeser (lichtwerk) renamed this task from asset bar doesnt open to Blenderkit: asset bar doesnt open.Oct 30 2019, 3:51 PM

This is correctly reported here, and thanks for the report.
However, it seems like a possible firewall issue, or something else with the connection. BlenderKit uses the requests library, which simply uses default system settings to access web through https protocol. So basically the same as any web browser.
If you want to get the whole report, use window > Toggle system console, and there a longer output can be copy-pasted from.

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 30.Nov 20 2019, 9:35 AM

@Zel (Zelaira): waiting for the console output @Vilem Duha (pildanovak) was talking about...

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.

Aaron Carlisle (Blendify) closed this task as Resolved.Feb 10 2020, 6:08 PM
Aaron Carlisle (Blendify) claimed this task.